From 94a2496e418566fde8600a57cfdf544c3e4bda9f Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:48:51 +0200
Subject: [PATCH 05/14] Convert slurm_conf.authinfo -> slurm_get_auth_info()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c     | 4 ++--
 src/plugins/mpi/pmi2/spawn.c        | 2 +-
 src/plugins/mpi/pmix/pmixp_server.c | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 60a02b4499..dbee444d8c 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -4273,7 +4273,7 @@ int slurm_send_node_msg(int fd, slurm_msg_t * msg)
 	} else {
 		char *auth_info = slurm_get_auth_info();
 		auth_cred = g_slurm_auth_create(msg->auth_index,
-						slurm_conf.authinfo,
+						auth_info,
 						msg->restrict_uid, auth_payload,
 						sizeof(auth_payload));
 		xfree(auth_info);
@@ -4300,7 +4300,7 @@ int slurm_send_node_msg(int fd, slurm_msg_t * msg)
 		} else {
 			char *auth_info = slurm_get_auth_info();
 			auth_cred = g_slurm_auth_create(msg->auth_index,
-							slurm_conf.authinfo,
+							auth_info,
 							msg->restrict_uid,
 							auth_payload,
 							sizeof(auth_payload));
diff --git a/src/plugins/mpi/pmi2/spawn.c b/src/plugins/mpi/pmi2/spawn.c
index 182edae3e4..09aaed9434 100644
--- a/src/plugins/mpi/pmi2/spawn.c
+++ b/src/plugins/mpi/pmi2/spawn.c
@@ -151,7 +151,7 @@ spawn_req_pack(spawn_req_t *req, Buf buf)
 	void *auth_cred;
 	char *auth_info = slurm_get_auth_info();
 
-	auth_cred = g_slurm_auth_create(AUTH_DEFAULT_INDEX, slurm_conf.authinfo,
+	auth_cred = g_slurm_auth_create(AUTH_DEFAULT_INDEX, auth_info,
 					job_info.uid, NULL, 0);
 	xfree(auth_info);
 	if (auth_cred == NULL) {
diff --git a/src/plugins/mpi/pmix/pmixp_server.c b/src/plugins/mpi/pmix/pmixp_server.c
index a3861cb83a..d80e64dd72 100644
--- a/src/plugins/mpi/pmix/pmixp_server.c
+++ b/src/plugins/mpi/pmix/pmixp_server.c
@@ -500,7 +500,7 @@ static int _auth_cred_create(Buf buf, uid_t uid)
 	char *auth_info = slurm_get_auth_info();
 	int rc = SLURM_SUCCESS;
 
-	auth_cred = g_slurm_auth_create(AUTH_DEFAULT_INDEX, slurm_conf.authinfo,
+	auth_cred = g_slurm_auth_create(AUTH_DEFAULT_INDEX, auth_info,
 					uid, NULL, 0);
 	xfree(auth_info);
 	if (!auth_cred) {
-- 
2.35.3


